%{?mingw_package_header}

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-atk
Version:        2.38.0
Release:        %mkrel 2
Summary:        MinGW Windows Atk library

License:        LGPLv2+
Group:          Development/Other
URL:            https://projects.gnome.org/accessibility/
Source0:        https://download.gnome.org/sources/atk/%{release_version}/atk-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 107
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2

BuildRequires:  mingw64-filesystem >= 107
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-glib2

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig
# Need native one too for msgfmt
BuildRequires:  gettext
# Need native one too for  glib-genmarshal
BuildRequires:  pkgconfig(glib-2.0)


%description
MinGW Windows Atk library.


# Win32
%package -n mingw32-atk
Summary:        MinGW Windows Atk library
Requires:       pkgconfig

%description -n mingw32-atk
MinGW Windows Atk library.

%package -n mingw32-atk-static
Summary:        Static version of the MinGW Windows Atk library
Requires:       mingw32-atk = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-atk-static
Static version of the MinGW Windows Atk library.

# Win64
%package -n mingw64-atk
Summary:        MinGW Windows Atk library
Requires:       pkgconfig

%description -n mingw64-atk
MinGW Windows Atk library.

%package -n mingw64-atk-static
Summary:        Static version of the MinGW Windows Atk library
Requires:       mingw64-atk = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-atk-static
Static version of the MinGW Windows Atk library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n atk-%{version}


%build
%mingw_meson --default-library=both -Dintrospection=false
%mingw_ninja


%install
%mingw_ninja_install

%mingw_find_lang atk10


# Win32
%files -n mingw32-atk -f mingw32-atk10.lang
%license COPYING
%{mingw32_bindir}/libatk-1.0-0.dll
%{mingw32_includedir}/atk-1.0
%{mingw32_libdir}/libatk-1.0.dll.a
%{mingw32_libdir}/pkgconfig/atk.pc

%files -n mingw32-atk-static
%{mingw32_libdir}/libatk-1.0.a

# Win64
%files -n mingw64-atk -f mingw64-atk10.lang
%license COPYING
%{mingw64_bindir}/libatk-1.0-0.dll
%{mingw64_includedir}/atk-1.0
%{mingw64_libdir}/libatk-1.0.dll.a
%{mingw64_libdir}/pkgconfig/atk.pc

%files -n mingw64-atk-static
%{mingw64_libdir}/libatk-1.0.a

  


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.38.0-2.mga10
+ Revision: 2214457
- Mageia 10 Mass Rebuild

* Thu Apr 07 2022 tv <tv> 2.38.0-1.mga9
+ Revision: 1847062
- Update to 2.38.0
- Drop unsupported meson options
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Apr 08 2020 daviddavid <daviddavid> 2.36.0-1.mga8
+ Revision: 1565561
- new version: 2.36.0

* Sun Feb 16 2020 umeabot <umeabot> 2.34.1-2.mga8
+ Revision: 1531276
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 ovitters <ovitters> 2.34.1-1.mga8
+ Revision: 1439326
- new version 2.34.1

* Mon Sep 09 2019 ovitters <ovitters> 2.34.0-1.mga8
+ Revision: 1438810
- new version 2.34.0

* Wed Aug 28 2019 daviddavid <daviddavid> 2.33.3-1.mga8
+ Revision: 1434790
- new version: 2.33.3
- switch to meson build system

* Thu Sep 20 2018 umeabot <umeabot> 2.28.1-2.mga7
+ Revision: 1279524
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 daviddavid <daviddavid> 2.28.1-1.mga7
+ Revision: 1247185
- new version: 2.28.1

* Thu Apr 07 2016 tv <tv> 2.20.0-1.mga6
+ Revision: 999146
- new release

* Tue Apr 05 2016 tv <tv> 2.18.0-1.mga6
+ Revision: 998595
- new release

* Mon Feb 08 2016 umeabot <umeabot> 2.10.0-4.mga6
+ Revision: 945564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10.0-3.mga5
+ Revision: 742463
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.0-2.mga5
+ Revision: 682406
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 ovitters <ovitters> 2.10.0-1.mga5
+ Revision: 582764
- new version 2.10.0

* Sat Oct 19 2013 umeabot <umeabot> 2.9.4-2.mga4
+ Revision: 536322
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.9.4-1.mga4
+ Revision: 483391
- imported package mingw-atk


* Sat Sep  7 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.9.4-1
- Update to 2.9.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.9.3-1
- Update to 2.9.3

* Tue Mar 26 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.8.0-1
- Update to 2.8.0

* Sun Mar 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.7.91-1
- Update to 2.7.91

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct  5 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.0-1
- Update to 2.6.0

* Sat Aug 25 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.5.4-1
- Update to 2.5.4

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 26 2012 Kalev Lember <kalevlember@gmail.com> - 2.4.0-1
- Update to 2.4.0
- Don't run autoreconf, the 64 bit builds work fine without it

* Sun Mar 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.3.93-2
- Added win64 support

* Thu Mar  8 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.3.93-1
- Update to 2.3.93
- Dropped .la files

* Tue Mar  6 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.2.0-4
- Renamed the source package to mingw-atk (RHBZ #800371)

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.2.0-3
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.2.0-1
- Update to 2.2.0

* Tue Aug 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.1.5-1
- Update to 2.1.5

* Sun Jul 10 2011 Kalev Lember <kalevlember@gmail.com> - 2.0.1-1
- Update to 2.0.1
- Switched to xz compressed tarballs
- Use automatic mingw dep extraction
- Cleaned up the spec file for modern rpmbuild
- Dropped upstreamed AtkHyperlinkImpl patch

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 1.32.0-6
- Rebuilt against win-iconv

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-5
- Dropped the proxy-libintl pieces

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-3
- Export the AtkHyperlinkImpl functions (required for webkitgtk)

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-2
- Rebuild in order to have soft dependency on libintl

* Mon Oct 11 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-1
- Update to 1.32.0
- Drop upstreamed patch

* Sun Sep 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.30.0-2
- Export the function atk_value_get_minimum_increment (required by GTK 2.21.7)

* Sun Sep 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.30.0-1
- Update to 1.30.0

* Wed Dec  2 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.29.3-1
- Update to 1.29.3

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.27.90-1
- Update to 1.27.90
- Automatically generate debuginfo subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.0-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.26.0-1
- Update to 1.26.0
- Use %%global instead of %%define

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Erik van Pienbroek <info@nntpgrab.nl> - 1.25.2-7
- Added -static subpackage
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-5
- Include license file.

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-4
- Remove gtk-doc.
- Fix defattr line.
- Requires pkgconfig.
- Remove the atk*.def file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-1
- Rebase to latest Fedora native version 1.25.2.
- Use find_lang macro.
- Use smp_mflags.
- Fix URL.
- Fix Source URL.

* Wed Sep 24 2008 Daniel P. Berrange <berrange@redhat.com> - 1.24.0-2
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 1.24.0-1
- Update to 1.24.0 release

* Thu Sep 11 2008 Daniel P. Berrange <berrange@redhat.com> - 1.23.5-2
- Added dep on pkgconfig and glib2-devel (native)

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 1.23.5-1
- Initial RPM release
